% set the speed of the midi music
#(define midiQuarterNoteSpeed (if (defined? 'midiQuarterNoteSpeed) midiQuarterNoteSpeed 90))

MUSIC = { \transposable #TRANSPOSITION \MUSIC }

verselayout = \layout {
  \LAYOUT
  \context {
    \ChordNames
    \override ChordName.font-size = \songTextChordFontSize
  }
}

LAYOUT = \layout {
  \LAYOUT
  #(let
    ((custom-size (ly:output-def-lookup LAYOUT 'size #f)))
    (if custom-size (layout-set-staff-size custom-size)))
}

TEXT = \markuplist {
  \override #`(transposition . ,TRANSPOSITION)
  \override #`(verselayout . ,verselayout)
  \override #`(verse-chords . ,#{ \chords { \verseChords } #})
  \override #`(verse-reference-voice . ,#{ \global \firstVoice  #})
  \TEXT
}

#(define TEXT_PAGES
  (map
    (lambda (text) #{
      \markuplist {
        \override #`(transposition . ,TRANSPOSITION)
        \override #`(verselayout . ,verselayout)
        \override #`(verse-chords . ,#{ \chords { \verseChords } #})
        \override #`(verse-reference-voice . ,#{ \global \firstVoice  #})
        #text
      }
    #})
  (if
    (and
      (defined? 'TEXT_PAGES)
      (pair? TEXT_PAGES))
    TEXT_PAGES
    (list TEXT))))

#(define (add-text-pages text-pages)
  (if (pair? text-pages)
    (begin
      (add-score (car text-pages))
      (for-each
        (lambda (text)
          (add-music (pageBreak))
          (add-score text))
        (cdr text-pages)))))

#(if (not noStandaloneOutput)
(begin
  (let ((header (ly:book-header HEADER)) (paper (ly:book-paper HEADER)))
    (if header (set! $defaultheader header))
    (if paper (set! $defaultpaper paper))
  )
  (add-score #{
    \score {
      \MUSIC
      \layout { \LAYOUT }
    }#})
  (add-text-pages TEXT_PAGES)
  (add-score #{
    \score {
      \unfoldRepeats { \MUSIC \INLINESCOREMUSIC }
      \midi {
        \context {
          \Score
          % Tempo des midi files
          tempoWholesPerMinute = #(/ midiQuarterNoteSpeed 4)
        }
        \context {
          \Staff
          \remove "Staff_performer"
        }
        \context {
          \Voice
          \consists "Staff_performer"
        }
      }
    }#})
))